% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/splot-polygons.R
\name{get_shape_vertices}
\alias{get_shape_vertices}
\title{Get Shape Vertices}
\usage{
get_shape_vertices(shape, x, y, r, r2 = NULL, ...)
}
\arguments{
\item{shape}{Shape name.}

\item{x}{Center x coordinate.}

\item{y}{Center y coordinate.}

\item{r}{Radius/size.}

\item{r2}{Secondary radius (for ellipse, rectangle).}

\item{...}{Additional shape-specific parameters.}
}
\value{
List with x, y vectors of vertices.
}
\description{
Dispatch function to get vertices for any supported shape.
}
\keyword{internal}
